Update a customer

View as Markdown

Updates an existing customer. Only the fields provided in the request body will be changed. The id parameter can be a UUID or external_id.

Authentication

AuthorizationBearer

Use a secret key (sk_test_* or sk_live_*) for full read/write access, or a public key (pk_test_* or pk_live_*) for read-only access.

Path parameters

idstringRequired

The customer UUID or external_id.

Request

This endpoint expects an object.
emailstring or nullOptionalformat: "email"
namestring or nullOptional
first_namestring or nullOptional
last_namestring or nullOptional
company_namestring or nullOptional
external_idstring or nullOptional
phonestring or nullOptional
country_idstring or nullOptionalformat: "uuid"
metadataobject or nullOptional

Response

Customer updated successfully
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error